Joomla 4 - Please wait

We have been getting a lot of questions about it in the last few days.

As of now, Mailster is not compatible with Joomla 4. Please do not update your site just yet.

We are of course working on a new Joomla 4 release - we will inform you on our site when ready.

Mailster v1.6 (PHP 8, no more J!2.5)

Mailster v1.6 is released to allow compatibility wih PHP 8.

It also is our first release that is no longer compatible with Joomla 2.5 (which we supported from 2012 to 2020).

There are a lot of changes under the hood to start to make Mailster ready for the coming Joomla 4 version. However Joomla 4 is not yet supported, since Joomla 4 is still in beta.

All other changes are listed in the changelog.

Mailster v1.5.4 released

We are happy to announce that we have just release Mailster 1.5.4 - bringing you new features as well as several improvements and bug fixes.

Details available in the changelog.

Login / Sign-Up

We use cookies on our website. Some of them are essential for the operation of the site, while others help us to improve this site and the user experience (tracking cookies). You can decide for yourself whether you want to allow cookies or not. Please note that if you reject them, you may not be able to use all the functionalities of the site.